Subject: [PATCH] ARM: OMAP4: change the device names in usb_bind_phy

From: [email-masked] (Kishon Vijay Abraham I)
Date: Fri, 17 May 2013 11:09:24 +0530

Hi,

On Thursday 16 May 2013 09:50 PM, Tony Lindgren wrote:
> * Tomi Valkeinen <[email-masked]> [130516 09:11]:
>> On 16/05/13 18:58, Tony Lindgren wrote:
>>> * Tomi Valkeinen <[email-masked]> [130515 03:59]:
>>>
>>> Just checking.. Do you have CONFIG_OMAP_OCP2SCP=y in your .config? Sounds
>>> like the some transceivers should depend on that for omap4.
>>
>> Yes, I have OCP2SCP=y.
>
> Hmm well no idea beyond that then. Sounds like Kishon should check it.
>
>>>> The musb-hdrc id is wrong on overo also.
>>>
>>> Hmm has there been a fix posted for that?
>>
>> I couldn't find with a quick look. We debugged and discussed this on an irc
>> channel with Kishon, who said he'll send a patch. Changing the musb-hdrc ID
>> on overo fixed the issue, and it looks very similar to the error on 4430sdp.
>> The overo fix was just:

hmm.. I think using device name to bind the controller and the phy can 
no longer be used reliably. I think it's better to have something like 
what Grant suggested in my other patch series.. to have the phy 
reference into the host controllers platform_data structure. And for the 
phy reference I'll have label and id.

Does this makes sense to you?

Thanks
Kishon